Camera takes portrait inverted

RESOLVED WORKSFORME

Status

RESOLVED WORKSFORME
6 years ago
6 years ago

People

(Reporter: ghtobz, Unassigned)

Tracking

unspecified

Firefox Tracking Flags

(blocking-basecamp:-)

Details

(Whiteboard: [label:camera])

(Reporter)

Description

6 years ago
[GitHub issue by lissyx on 2012-09-19T22:47:13Z, https://github.com/mozilla-b2g/gaia/issues/4933]
Pictures taken in portrait are up-side down. This is at least on Nexus S.
(Reporter)

Comment 1

6 years ago
[GitHub comment by nhirata on 2012-09-19T23:26:32Z]
I could have sworn someone had reported this before somewhere... but I can't seem to find it.
(Reporter)

Comment 2

6 years ago
[GitHub comment by lissyx on 2012-09-19T23:30:30Z]
I was convinced I reported it too, but I can't find it ...
(Reporter)

Comment 3

6 years ago
[GitHub comment by daleharvey on 2012-09-20T04:30:55Z]
This was a bug on the otoro a while ago, but it was fixed

Either the root point of orientation has changed in the platform (if this is also broken on the Otoro) or the Nexus S has a different root orientation from the Otoro (in which case it probably isnt blocking-)
(Reporter)

Comment 4

6 years ago
[GitHub comment by lissyx on 2012-09-20T08:49:16Z]
Where can I check this root point ?
(Reporter)

Comment 5

6 years ago
[GitHub comment by lissyx on 2012-09-20T09:22:17Z]
Should I add that the display in the gallery seems fine ? I only can view the issue when picture is displayed elsewhere (like uploaded, or when opening on my laptop using ums).
(Reporter)

Comment 6

6 years ago
[GitHub comment by lissyx on 2012-09-20T09:28:12Z]
FYI, on my Nexus S, I get pictures correctly wrote when changing the layoutToPhoneOrientation() method in camera.js to:

443   // The layout (icons) and the phone calculate orientation in the
444   // opposite direction
445   layoutToPhoneOrientation: function camera_layoutToPhoneOrientation() {
446     // return 270 - this._phoneOrientation;
447     return 90 - this._phoneOrientation;
448   },

After this, however, the pictures are correctly oriented when viewing on my laptop but in the Gallery app, it is displayed in landscape layout while it has been taken in portrait. Not a big issue, but sad one, obviously.
(Reporter)

Comment 7

6 years ago
[GitHub comment by daleharvey on 2012-09-24T23:29:46Z]
I will get this fixed

but recommending blocking- right now as it does not affect the otoro
(Reporter)

Comment 8

6 years ago
[GitHub comment by lissyx on 2012-10-01T19:59:22Z]
I saw the « Test sensors » app arrived in test_apps, and when running it, it says « compassneedcalibration ». Do you think it could be related ? Do you know how I can perform the calibration ?
(In reply to GH to BZ from comment #1)
> [GitHub comment by nhirata on 2012-09-19T23:26:32Z]
> I could have sworn someone had reported this before somewhere... but I can't
> seem to find it.

https://bugzilla.mozilla.org/show_bug.cgi?id=782448

Updated

6 years ago
Component: Gaia → Gaia::Camera
I believe all of these got fixed, at least on devices I can test on
Status: NEW → RESOLVED
Last Resolved: 6 years ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.